PETSc version 3.17.4
Fix/Edit manual page

# PCHPDDMSetRHSMat

Sets the right-hand side matrix used by PCHPDDM for the concurrent GenEO problems at the finest level. Must be used in conjunction with PCHPDDMSetAuxiliaryMat(N), so that Nv = lambda Bv is solved using EPSSetOperators(N, B). It is assumed that N and B are provided using the same numbering. This provides a means to try more advanced methods such as GenEO-II or H-GenEO.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCHPDDMSetRHSMat(PC pc, Mat B)

### Input Parameters

| pc | - preconditioner context
| B | - right-hand side sequential matrix

### See Also

PCHPDDMSetAuxiliaryMat(), PCHPDDM

### Level

advanced

### Location

src/ksp/pc/impls/hpddm/hpddm.cxx

### Examples

src/ksp/ksp/tutorials/ex76.c.html

### Implementations

PCHPDDMSetRHSMat_HPDDM in src/ksp/pc/impls/hpddm/hpddm.cxx
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages